//Defcon Mod Load Script

$DefBase = "scripts/defcon/";
$DefFunc = ""@$DefBase@"functioning/";
$DefExte = ""@$DefBase@"exterior/";
$DefBuil = ""@$DefBase@"buildings/";
$DefUnit = ""@$DefBase@"units/";
$DefWeap = ""@$DefBase@"Weapons/";
$DefCmd = ""@$DefBase@"Commanders/";

function ExecuteDefcon() {
   //Load
   echo("Executing Defcon Mod Scripts");
   exec(""@$DefBase@"scoremenucmds.cs");

   echo("Executing "@$DefFunc@" scripts.");
   //Load functioning
   %search = ""@$DefFunc@"*.cs";
   for(%file = findFirstFile(%search); %file !$= ""; %file = findNextFile(%search)) {
      %type = fileBase(%file); // get the name of the script
      exec(""@$DefFunc@""@%type@".cs");
   }
   
   echo("Executing "@$DefExte@" scripts.");
   //Load exterior
   %search = ""@$DefExte@"*.cs";
   for(%file = findFirstFile(%search); %file !$= ""; %file = findNextFile(%search)) {
      %type = fileBase(%file); // get the name of the script
      exec(""@$DefExte@""@%type@".cs");
   }
   
   echo("Executing "@$DefBuil@" scripts.");
   //Load buildings
   %search = ""@$DefBuil@"*.cs";
   for(%file = findFirstFile(%search); %file !$= ""; %file = findNextFile(%search)) {
      %type = fileBase(%file); // get the name of the script
      exec(""@$DefBuil@""@%type@".cs");
   }
   
   echo("Executing "@$DefUnit@" scripts.");
   //Load units
   %search = ""@$DefUnit@"*.cs";
   for(%file = findFirstFile(%search); %file !$= ""; %file = findNextFile(%search)) {
      %type = fileBase(%file); // get the name of the script
      exec(""@$DefUnit@""@%type@".cs");
   }
   
   echo("Executing "@$DefWeap@" scripts.");
   //Load weapons
   %search = ""@$DefWeap@"*.cs";
   for(%file = findFirstFile(%search); %file !$= ""; %file = findNextFile(%search)) {
      %type = fileBase(%file); // get the name of the script
      exec(""@$DefWeap@""@%type@".cs");
   }
   
   echo("Executing "@$DefCmd@" scripts.");
   //Load weapons
   %search = ""@$DefCmd@"*.cs";
   for(%file = findFirstFile(%search); %file !$= ""; %file = findNextFile(%search)) {
      %type = fileBase(%file); // get the name of the script
      exec(""@$DefCmd@""@%type@".cs");
   }
}

//run it
ExecuteDefcon();
