function GameConnection::GetCommander(%client) {
   return %client.commander;
}

function GameConnection::SetCommander(%client, %commander) {
   %client.commander = %commander;
   if(%commander $= "None") {
      MessageClient(%client, 'MsgSelect', "\c5You are now a rogue commander.");
   }
   else {
      MessageClient(%client, 'MsgSelect', "\c5You are now commander "@%commander@".");
      switch$(%commander) {
         case "Anderson":
            MessageClient(%client, 'MsgSelect', "\c3Ability: Tapped Resources - Collectors return 150% more resources from a load.");
            MessageClient(%client, 'MsgSelect', "\c3Special Unit: Medium Resource Gatherer (Cost:250[D4]) - Returns 100 Credits.");
            MessageClient(%client, 'MsgSelect', "\c3Other: Gatherer's cost less, combat units cost more.");
         case "Dalhart":
            MessageClient(%client, 'MsgSelect', "\c3Ability: Capital Blast - Rain gauss shells on a target location (6:00).");
            MessageClient(%client, 'MsgSelect', "\c3Special Unit: Gauss Hunter (Cost:1750[D1]) - Exceptionaly powerful unit.");
            MessageClient(%client, 'MsgSelect', "\c3Other: No devastators, Heavy Gatherer.");
            $SWTimer[CapitolStrike, %client] = 1;
            CapitolStrikeLoop(%client);
         case "Listette":
            MessageClient(%client, 'MsgSelect', "\c3Ability: Faded Visuals - All units are stealthed.");
            MessageClient(%client, 'MsgSelect', "\c3Other: No devastators, cloakers.");
         case "Phantom":
            %client.CP.DefconLevel = 1;
            MessageClient(%client, 'MsgSelect', "\c3Ability 1: Superior Anomety - All units have power shields, but cost 250 more.");
            MessageClient(%client, 'MsgSelect', "\c3Ability 2: Defcon Superiority - Start at Defcon 1.");
            MessageAll('msgRedAlert', "\c5DEFCON DANGER: "@%client.namebase@" is exerting his Defcon Superiority, and is now at Defcon 1!!! ~wfx/misc/red_alert.wav");
            MessageClient(%client, 'MsgSelect', "\c3Ability 3: Plasma Storm: Unleashes a burst of power plasma shells (4:30).");
            MessageClient(%client, 'MsgSelect', "\c3Special Unit: Multiple extra units of various types.");
            MessageClient(%client, 'MsgSelect', "\c3Other: No Missile Silo.");
            $SWTimer[PlasmaStorm, %client] = 1;
            PlasmaStormLoop(%client);
      }
   }
}

//for units
function GameConnection::CheckCommanderEnhancements(%client, %unit) {
   %cmdr = %client.GetCommander();
   if(%cmdr $= "Listette") {
      StealthUnit(%unit);
   }
   else if(%cmdr $= "Phantom") {
      BeginShieldUnit(%unit);
   }
}
