//Base function For many unit based operations, enhancements/weakeners, ect.
function GameConnection::OnDeployUnit(%client, %unit) {
   %CP = %client.player.attachedObj.main;
   %SpawnPos = vectorAdd(%CP.getPosition(), "0 0 5");

   %unit.team = %client.team;
   %unit.owner = %client;
   %unit.isPlayerScriptAI = 1;   //calls other methods
   
   $UnitCount[%client, ""@%unit.name@""]++;
   
   %unit.setTransform(%SpawnPos);

   setTargetSensorData(%unit.target, PlayerSensor);
   setTargetSensorGroup(%unit.target, %client.team);
   
   %unit.home = %unit.owner.player.attachedObj.main; //should be the object we are on
   //I know I could have done %client.player, oh well
   %group = nameToID("DefconArmy"@%client@"");
   if(%group != -1) {
      %group.add(%unit);
   }
   else {
      error("Spawned "@%unit.name@" not added to a group");
   }
   
   //
   %client.CheckCommanderEnhancements(%unit);
   //
}

function GetUnitSet(%client, %index, %tag) {
   %commander = %client.getCommander();
   switch$(%commander) {
      case "Anderson":
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Collectors:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t1\t100\t1>Deploy Light Collector (100 Credits)</a>");
         %index++;
         if(%client.CP.DefconLevel <= 4) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t3\t250\t1>Deploy Medium Collector (250 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Medium Collector (DEFCON 4 REQUIRED)");
            %index++;
         }
         if(%client.CP.DefconLevel <= 3) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t2\t350\t1>Deploy Heavy Collector (350 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Heavy Collector (DEFCON 3 REQUIRED)");
            %index++;
         }
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Spies/Scouts:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tScout\t500\t1>Deploy Scout (500 Credits)</a>");
         %index++;
         if(%client.CP.DefconLevel <= 4) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tSeeker\t500\t1>Deploy Seeker (500 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Seeker (DEFCON 4 REQUIRED)");
            %index++;
         }
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Combat:");
         %index++;
         if(%client.CP.DefconLevel <= 5) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCGSoldier\t750\t1>Deploy Rifle Soldier (750 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Rifle Soldier (DEFCON 5 REQUIRED)");
            %index++;
         }
         if(%client.CP.DefconLevel <= 4) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tDiscSoldier\t1000\t1>Deploy Disc Soldier (1000 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Disc Soldier (DEFCON 4 REQUIRED)");
            %index++;
         }
      case "Dalhart":
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Collectors:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t1\t250\t1>Deploy Light Collector (250 Credits)</a>");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Spies/Scouts:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tScout\t500\t1>Deploy Scout (500 Credits)</a>");
         %index++;
         if(%client.CP.DefconLevel <= 4) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tSeeker\t500\t1>Deploy Seeker (500 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Seeker (DEFCON 4 REQUIRED)");
            %index++;
         }
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Combat:");
         %index++;
         if(%client.CP.DefconLevel <= 5) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCGSoldier\t500\t1>Deploy Rifle Soldier (500 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Rifle Soldier (DEFCON 5 REQUIRED)");
            %index++;
         }
         if(%client.CP.DefconLevel <= 4) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tDiscSoldier\t750\t1>Deploy Disc Soldier (750 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Disc Soldier (DEFCON 4 REQUIRED)");
            %index++;
         }
      case "Phantom":
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Collectors:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t1\t500\t1>Deploy Light Collector (500 Credits)</a>");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t2\t750\t1>Deploy Heavy Collector (750 Credits)</a>");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Spies/Scouts:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tScout\t750\t1>Deploy Scout (750 Credits)</a>");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tSeeker\t750\t1>Deploy Seeker (750 Credits)</a>");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Combat:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCGSoldier\t750\t1>Deploy Rifle Soldier (750 Credits)</a>");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tDiscSoldier\t1000\t1>Deploy Disc Soldier (1000 Credits)</a>");
         %index++;
      default:
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Collectors:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t1\t250\t1>Deploy Light Collector (250 Credits)</a>");
         %index++;
         if(%client.CP.DefconLevel <= 3) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCollector\t2\t500\t1>Deploy Heavy Collector (500 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Heavy Collector (DEFCON 3 REQUIRED)");
            %index++;
         }
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Spies/Scouts:");
         %index++;
         messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tScout\t500\t1>Deploy Scout (500 Credits)</a>");
         %index++;
         if(%client.CP.DefconLevel <= 4) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tSeeker\t500\t1>Deploy Seeker (500 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Seeker (DEFCON 4 REQUIRED)");
            %index++;
         }
         messageClient( %client, 'SetLineHud', "", %tag, %index, "Combat:");
         %index++;
         if(%client.CP.DefconLevel <= 5) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tCGSoldier\t500\t1>Deploy Rifle Soldier (500 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Rifle Soldier (DEFCON 5 REQUIRED)");
            %index++;
         }
         if(%client.CP.DefconLevel <= 4) {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "<a:gamelink\tBuyUnit\tDiscSoldier\t750\t1>Deploy Disc Soldier (750 Credits)</a>");
            %index++;
         }
         else {
            messageClient( %client, 'SetLineHud', "", %tag, %index, "Deploy Disc Soldier (DEFCON 4 REQUIRED)");
            %index++;
         }
   }
   return %index;
}
